Package com.avaya.clientservices.presence

## Interface PresenceListSubscriptionListener

-     public interface PresenceListSubscriptionListener

  Listener for presence list subscription events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPresenceListSubscriptionPresenceReceived​(PresenceListSubscription subscription, Presence presence)` | Called when presence information is received for a remote user.
    `void` | `onPresenceListSubscriptionStarted​(PresenceListSubscription subscription)` | Called when presence list subscription has started successfully
    `void` | `onPresenceListSubscriptionStartFailed​(PresenceListSubscription subscription, PresenceException exception)` | Called when an unrecoverable failure occurs preventing the subscription from starting
    `void` | `onPresenceListSubscriptionStopped​(PresenceListSubscription subscription, PresenceException exception)` | Called when the subscription has been stopped either intentionally or due to the exception

- - ### Method Detail

    - #### onPresenceListSubscriptionStarted

          void onPresenceListSubscriptionStarted​(PresenceListSubscription subscription)

      Called when presence list subscription has started successfully
      Parameters:
        `subscription` - The subscription associated with the callback.

    - #### onPresenceListSubscriptionStartFailed

          void onPresenceListSubscriptionStartFailed​(PresenceListSubscription subscription,
                                                     PresenceException exception)

      Called when an unrecoverable failure occurs preventing the subscription from starting
      Parameters:
        `subscription` - The subscription associated with the callback.
        `exception` - Exception containing details of the subscription failure.

    - #### onPresenceListSubscriptionPresenceReceived

          void onPresenceListSubscriptionPresenceReceived​(PresenceListSubscription subscription,
                                                          Presence presence)

      Called when presence information is received for a remote user.
      Parameters:
        `subscription` - The subscription associated with the callback.
        `presence` - The presence information that was received.

    - #### onPresenceListSubscriptionStopped

          void onPresenceListSubscriptionStopped​(PresenceListSubscription subscription,
                                                 PresenceException exception)

      Called when the subscription has been stopped either intentionally or due to the exception
      Parameters:
        `subscription` - The subscription associated with the callback.
        `exception` - Exception containing details of the subscription failure if any.